#include "Anna.h"
#include "Bruno.h"
#include <cstdio>
#include <cstdlib>
#include <string>
namespace {
  void wrong_answer(int id) {
    printf("Wrong Answer [%d]\n", id);
    exit(0);
  }
  int N;
  std::string send;
  int send_calls = 0;
}
void Send(std::string S){
  if (send_calls == 1){
    wrong_answer(3);
  }
  if (!(1 <= (int) S.size() && (int) S.size() <= 100000)){
    wrong_answer(1);
  }
  for (int i = 0; i < S.size(); i++){
    if (!(S[i] == '0' || S[i] == '1')){
      wrong_answer(2);
    }
  }
  send = S;
  send_calls++;  
}
int main(int argc, char **argv) {
  if (scanf("%d", &N) != 1) {
    fprintf(stderr, "Error while reading input\n");
    exit(1);
  }
  Anna(N);
  if (send_calls == 0){
    wrong_answer(4);
  }
  int ans = Bruno(send);
  if (!(1 <= ans && ans <= 100000)){
    wrong_answer(5);
  }
  if (ans != N){
    wrong_answer(6);
  }
  printf("Accepted: %d\n", (int) send.size());
  return 0;
}
